Plus aucun transport VPN AnyConnect compatible dans Ubuntu 16.04?

24

Suite à mes précédentes expériences de configuration de connexions VPN Cisco AnyConnect sur Ubuntu 14.04, j'ai essayé la même approche en installant des packages:

sudo apt-get install -y network-manager-openconnect-gnome network-manager-openconnect network-manager-vpnc network-manager-vpnc-gnome vpnc vpnc-scripts

Même après cela, une option pour créer une connexion VPN compatible avec Anyconnect n'apparaît pas.

Ubuntu 16.04 64bit, stock.

    
posée Darko Miletic 22.04.2016 - 23:27
la source

6 réponses

10

J'ai eu le même problème. utiliser le paquet dans cette page (ou le construire si vous ne faites pas confiance) lien

Cela fonctionne pour moi

    
réponse donnée Morteza Pourkazemi 25.04.2016 - 15:37
la source
21

Je rencontre le même problème avec la nouvelle installation d’Ubuntu 16.04. Vous pouvez cependant vous connecter via le terminal:

sudo openconnect https://<remote.host.here> 

Après cela, vous devriez être invité à entrer un nom d'utilisateur et un mot de passe.

    
réponse donnée bart 24.04.2016 - 11:49
la source
7

Il semble y avoir un correctif officiel dans xenial-proposal. Si vous activez les mises à jour préliminaires , puis procédez comme suit:

sudo apt install network-manager-openconnect network-manager-openconnect-gnome

ça va commencer à fonctionner. Eh bien, cela a fonctionné pour moi au moins:)

    
réponse donnée Jeremy 21.06.2016 - 17:11
la source
1

Je pense que le problème semble être que le plugin openconnect manque une bibliothèque dont le gestionnaire de réseau a maintenant besoin.

Si j'examine les fichiers dans / etc / NetworkManager / VPN, je constate que tous les plug-ins sauf ont une section qui ressemble à celle-ci:

[libnm]
plugin=/usr/lib/x86_64-linux-gnu/NetworkManager/libnm-vpn-plugin-vpnc.so

network-manager-openconnect-gnome ne semble pas fournir une bibliothèque similaire, ni aucun paquet dans le référentiel Ubuntu. Je pense que cette bibliothèque libnm est une nouvelle exigence de NetworkManager et que la version d’openconnect dans ubuntu ne le supporte pas encore.

Depuis que j'ai mis à jour 16.04 à partir de 15.10, ma connexion VPN est toujours définie. Je peux sélectionner et me connecter à partir de l'interface graphique de NM. Cependant, je ne peux pas modifier la connexion via l’interface graphique ni ajouter une nouvelle connexion VPN avec openconnect.

    
réponse donnée Ethan 27.04.2016 - 04:59
la source
1

Pour compléter la réponse de Morteza Pourkazemi, la réponse me convient, mais je dois installer les paquets suivants, requis par la commande configure .

sudo apt-get install intltool libxml2-dev libgtk-3-dev libsecret-1-dev libopenconnect-dev network-manager-dev libnm-util-dev libnm-glib-dev libnm-glib-vpn-dev
    
réponse donnée HD189733b 26.04.2016 - 04:53
la source
0

Il n’est pas du tout difficile de faire cela avec une interface de ligne de commande plutôt qu’une interface graphique:

openconnect -c ~/path/to/your/client_cert.pem  \
            -k ~/path/to/your/private_key.pem  \
            -b #for background
            $VPN_Address

Il existe également des options pour lui donner votre nom d'utilisateur / mot de passe - lancez-les et ajoutez le script au démarrage, et vous n'aurez même plus besoin d'y penser.

    
réponse donnée rm-vanda 25.04.2016 - 16:09
la source

Lire d'autres questions sur les étiquettes